#include "solution_map.h"
#include "../../shared/environment.h"
/* solution-shipping.py:212 */
solution_map::solution_map(){
if(!rocfft_getenv("ROCFFT_USE_EMPTY_SOL_MAP").empty()) {
return;}
SolutionNode  solution;






 // add new solution
solution.arch_name = "gfx942";/* solution-shipping.py:172 */
solution.sol_node_type = StrToSolutionNodeType("SOL_KERNEL_ONLY");/* solution-shipping.py:175 */
solution.kernel_key = FMKey(100, StrToPrecision("single"), StrToComputeScheme("CS_KERNEL_STOCKHAM"), StrToSBRCTransType("NONE"), KernelConfig(false, {5,5,4}, 6, 120, {20,0}, false, true, false, StrToEBType("R2C_POST"), -1, 1, StrToPlacementCode("OP"), StrToArrayType("CI"), StrToArrayType("CI")));/* solution-shipping.py:180 */
solution.using_scheme = solution.kernel_key.scheme;/* solution-shipping.py:192 */
solution.solution_childnodes = {};/* solution-shipping.py:199 */
add_solution_private(ProblemKey("gfx942", "kernel_len100_single_sbrr"), solution);/* solution-shipping.py:207 */




 // add new solution
solution.arch_name = "gfx942";/* solution-shipping.py:172 */
solution.sol_node_type = StrToSolutionNodeType("SOL_KERNEL_ONLY");/* solution-shipping.py:175 */
solution.kernel_key = FMKey(200, StrToPrecision("single"), StrToComputeScheme("CS_KERNEL_STOCKHAM_BLOCK_CC"), StrToSBRCTransType("NONE"), KernelConfig(false, {5,5,2,4}, 20, 400, {20,0}, true, true, true, StrToEBType("NONE"), -1, 3, StrToPlacementCode("IP"), StrToArrayType("CI"), StrToArrayType("CI")));/* solution-shipping.py:180 */
solution.using_scheme = solution.kernel_key.scheme;/* solution-shipping.py:192 */
solution.solution_childnodes = {};/* solution-shipping.py:199 */
add_solution_private(ProblemKey("gfx942", "kernel_len200_single_sbcc"), solution);/* solution-shipping.py:207 */




 // add new solution
solution.arch_name = "gfx942";/* solution-shipping.py:172 */
solution.sol_node_type = StrToSolutionNodeType("SOL_KERNEL_ONLY");/* solution-shipping.py:175 */
solution.kernel_key = FMKey(200, StrToPrecision("single"), StrToComputeScheme("CS_KERNEL_STOCKHAM_BLOCK_CC"), StrToSBRCTransType("NONE"), KernelConfig(false, {2,2,5,10}, 16, 320, {20,0}, true, true, true, StrToEBType("NONE"), -1, 2, StrToPlacementCode("IP"), StrToArrayType("CI"), StrToArrayType("HI")));/* solution-shipping.py:180 */
solution.using_scheme = solution.kernel_key.scheme;/* solution-shipping.py:192 */
solution.solution_childnodes = {};/* solution-shipping.py:199 */
add_solution_private(ProblemKey("gfx942", "kernel_len200_single_sbcc"), solution);/* solution-shipping.py:207 */




 // add new solution
solution.arch_name = "gfx942";/* solution-shipping.py:172 */
solution.sol_node_type = StrToSolutionNodeType("SOL_DUMMY");/* solution-shipping.py:175 */
solution.kernel_key = FMKey::EmptyFMKey();/* solution-shipping.py:180 */
solution.using_scheme = StrToComputeScheme("CS_NONE");/* solution-shipping.py:187 */
solution.solution_childnodes = {};/* solution-shipping.py:199 */
add_solution_private(ProblemKey("gfx942", "100_sp_ip_complex"), solution);/* solution-shipping.py:207 */




 // add new solution
solution.arch_name = "gfx942";/* solution-shipping.py:172 */
solution.sol_node_type = StrToSolutionNodeType("SOL_LEAF_NODE");/* solution-shipping.py:175 */
solution.kernel_key = FMKey::EmptyFMKey();/* solution-shipping.py:180 */
solution.using_scheme = StrToComputeScheme("CS_KERNEL_STOCKHAM");/* solution-shipping.py:187 */
solution.solution_childnodes = {{"kernel_len100_single_sbrr",0}};/* solution-shipping.py:199 */
add_solution_private(ProblemKey("gfx942", "100_sp_ip_complex"), solution);/* solution-shipping.py:207 */




 // add new solution
solution.arch_name = "gfx942";/* solution-shipping.py:172 */
solution.sol_node_type = StrToSolutionNodeType("SOL_LEAF_NODE");/* solution-shipping.py:175 */
solution.kernel_key = FMKey::EmptyFMKey();/* solution-shipping.py:180 */
solution.using_scheme = StrToComputeScheme("CS_KERNEL_STOCKHAM_BLOCK_CC");/* solution-shipping.py:187 */
solution.solution_childnodes = {{"kernel_len200_single_sbcc",0}};/* solution-shipping.py:199 */
add_solution_private(ProblemKey("gfx942", "sbcc_200_sp_ip_complex"), solution);/* solution-shipping.py:207 */




 // add new solution
solution.arch_name = "gfx942";/* solution-shipping.py:172 */
solution.sol_node_type = StrToSolutionNodeType("SOL_LEAF_NODE");/* solution-shipping.py:175 */
solution.kernel_key = FMKey::EmptyFMKey();/* solution-shipping.py:180 */
solution.using_scheme = StrToComputeScheme("CS_KERNEL_STOCKHAM_BLOCK_CC");/* solution-shipping.py:187 */
solution.solution_childnodes = {{"kernel_len200_single_sbcc",1}};/* solution-shipping.py:199 */
add_solution_private(ProblemKey("gfx942", "sbcc_200_sp_ip_complex"), solution);/* solution-shipping.py:207 */




 // add new solution
solution.arch_name = "gfx942";/* solution-shipping.py:172 */
solution.sol_node_type = StrToSolutionNodeType("SOL_DUMMY");/* solution-shipping.py:175 */
solution.kernel_key = FMKey::EmptyFMKey();/* solution-shipping.py:180 */
solution.using_scheme = StrToComputeScheme("CS_NONE");/* solution-shipping.py:187 */
solution.solution_childnodes = {};/* solution-shipping.py:199 */
add_solution_private(ProblemKey("gfx942", "200_sp_ip_complex"), solution);/* solution-shipping.py:207 */




 // add new solution
solution.arch_name = "gfx942";/* solution-shipping.py:172 */
solution.sol_node_type = StrToSolutionNodeType("SOL_INTERNAL_NODE");/* solution-shipping.py:175 */
solution.kernel_key = FMKey::EmptyFMKey();/* solution-shipping.py:180 */
solution.using_scheme = StrToComputeScheme("CS_REAL_TRANSFORM_EVEN");/* solution-shipping.py:187 */
solution.solution_childnodes = {{"100_sp_ip_complex",1}};/* solution-shipping.py:199 */
add_solution_private(ProblemKey("gfx942", "200_sp_ip_complex"), solution);/* solution-shipping.py:207 */




 // add new solution
solution.arch_name = "gfx942";/* solution-shipping.py:172 */
solution.sol_node_type = StrToSolutionNodeType("SOL_INTERNAL_NODE");/* solution-shipping.py:175 */
solution.kernel_key = FMKey::EmptyFMKey();/* solution-shipping.py:180 */
solution.using_scheme = StrToComputeScheme("CS_REAL_3D_EVEN");/* solution-shipping.py:187 */
solution.solution_childnodes = {{"200_sp_ip_complex",1},{"sbcc_200_sp_ip_complex",0},{"sbcc_200_sp_ip_complex",1}};/* solution-shipping.py:199 */
add_solution_private(ProblemKey("gfx942", "200_200_200_sp_op_real_fwd"), solution);/* solution-shipping.py:207 */




 // add new solution
solution.arch_name = "gfx942";/* solution-shipping.py:172 */
solution.sol_node_type = StrToSolutionNodeType("SOL_KERNEL_ONLY");/* solution-shipping.py:175 */
solution.kernel_key = FMKey(128, StrToPrecision("double"), StrToComputeScheme("CS_KERNEL_STOCKHAM"), StrToSBRCTransType("NONE"), KernelConfig(false, {8,2,8}, 8, 128, {16,0}, false, true, false, StrToEBType("R2C_POST"), -1, 1, StrToPlacementCode("IP"), StrToArrayType("CI"), StrToArrayType("CI")));/* solution-shipping.py:180 */
solution.using_scheme = solution.kernel_key.scheme;/* solution-shipping.py:192 */
solution.solution_childnodes = {};/* solution-shipping.py:199 */
add_solution_private(ProblemKey("gfx942", "kernel_len128_double_sbrr"), solution);/* solution-shipping.py:207 */




 // add new solution
solution.arch_name = "gfx942";/* solution-shipping.py:172 */
solution.sol_node_type = StrToSolutionNodeType("SOL_KERNEL_ONLY");/* solution-shipping.py:175 */
solution.kernel_key = FMKey(256, StrToPrecision("double"), StrToComputeScheme("CS_KERNEL_STOCKHAM_BLOCK_CC"), StrToSBRCTransType("NONE"), KernelConfig(false, {8,4,8}, 16, 512, {32,0}, false, true, false, StrToEBType("NONE"), -1, 3, StrToPlacementCode("IP"), StrToArrayType("CI"), StrToArrayType("CI")));/* solution-shipping.py:180 */
solution.using_scheme = solution.kernel_key.scheme;/* solution-shipping.py:192 */
solution.solution_childnodes = {};/* solution-shipping.py:199 */
add_solution_private(ProblemKey("gfx942", "kernel_len256_double_sbcc"), solution);/* solution-shipping.py:207 */




 // add new solution
solution.arch_name = "gfx942";/* solution-shipping.py:172 */
solution.sol_node_type = StrToSolutionNodeType("SOL_KERNEL_ONLY");/* solution-shipping.py:175 */
solution.kernel_key = FMKey(256, StrToPrecision("double"), StrToComputeScheme("CS_KERNEL_STOCKHAM_BLOCK_CC"), StrToSBRCTransType("NONE"), KernelConfig(false, {8,4,8}, 16, 512, {32,0}, false, true, false, StrToEBType("NONE"), -1, 2, StrToPlacementCode("IP"), StrToArrayType("CI"), StrToArrayType("HI")));/* solution-shipping.py:180 */
solution.using_scheme = solution.kernel_key.scheme;/* solution-shipping.py:192 */
solution.solution_childnodes = {};/* solution-shipping.py:199 */
add_solution_private(ProblemKey("gfx942", "kernel_len256_double_sbcc"), solution);/* solution-shipping.py:207 */




 // add new solution
solution.arch_name = "gfx942";/* solution-shipping.py:172 */
solution.sol_node_type = StrToSolutionNodeType("SOL_DUMMY");/* solution-shipping.py:175 */
solution.kernel_key = FMKey::EmptyFMKey();/* solution-shipping.py:180 */
solution.using_scheme = StrToComputeScheme("CS_NONE");/* solution-shipping.py:187 */
solution.solution_childnodes = {};/* solution-shipping.py:199 */
add_solution_private(ProblemKey("gfx942", "128_dp_ip_complex"), solution);/* solution-shipping.py:207 */




 // add new solution
solution.arch_name = "gfx942";/* solution-shipping.py:172 */
solution.sol_node_type = StrToSolutionNodeType("SOL_LEAF_NODE");/* solution-shipping.py:175 */
solution.kernel_key = FMKey::EmptyFMKey();/* solution-shipping.py:180 */
solution.using_scheme = StrToComputeScheme("CS_KERNEL_STOCKHAM");/* solution-shipping.py:187 */
solution.solution_childnodes = {{"kernel_len128_double_sbrr",0}};/* solution-shipping.py:199 */
add_solution_private(ProblemKey("gfx942", "128_dp_ip_complex"), solution);/* solution-shipping.py:207 */




 // add new solution
solution.arch_name = "gfx942";/* solution-shipping.py:172 */
solution.sol_node_type = StrToSolutionNodeType("SOL_LEAF_NODE");/* solution-shipping.py:175 */
solution.kernel_key = FMKey::EmptyFMKey();/* solution-shipping.py:180 */
solution.using_scheme = StrToComputeScheme("CS_KERNEL_STOCKHAM_BLOCK_CC");/* solution-shipping.py:187 */
solution.solution_childnodes = {{"kernel_len256_double_sbcc",0}};/* solution-shipping.py:199 */
add_solution_private(ProblemKey("gfx942", "sbcc_256_dp_ip_complex"), solution);/* solution-shipping.py:207 */




 // add new solution
solution.arch_name = "gfx942";/* solution-shipping.py:172 */
solution.sol_node_type = StrToSolutionNodeType("SOL_LEAF_NODE");/* solution-shipping.py:175 */
solution.kernel_key = FMKey::EmptyFMKey();/* solution-shipping.py:180 */
solution.using_scheme = StrToComputeScheme("CS_KERNEL_STOCKHAM_BLOCK_CC");/* solution-shipping.py:187 */
solution.solution_childnodes = {{"kernel_len256_double_sbcc",1}};/* solution-shipping.py:199 */
add_solution_private(ProblemKey("gfx942", "sbcc_256_dp_ip_complex"), solution);/* solution-shipping.py:207 */




 // add new solution
solution.arch_name = "gfx942";/* solution-shipping.py:172 */
solution.sol_node_type = StrToSolutionNodeType("SOL_DUMMY");/* solution-shipping.py:175 */
solution.kernel_key = FMKey::EmptyFMKey();/* solution-shipping.py:180 */
solution.using_scheme = StrToComputeScheme("CS_NONE");/* solution-shipping.py:187 */
solution.solution_childnodes = {};/* solution-shipping.py:199 */
add_solution_private(ProblemKey("gfx942", "256_dp_ip_complex"), solution);/* solution-shipping.py:207 */




 // add new solution
solution.arch_name = "gfx942";/* solution-shipping.py:172 */
solution.sol_node_type = StrToSolutionNodeType("SOL_INTERNAL_NODE");/* solution-shipping.py:175 */
solution.kernel_key = FMKey::EmptyFMKey();/* solution-shipping.py:180 */
solution.using_scheme = StrToComputeScheme("CS_REAL_TRANSFORM_EVEN");/* solution-shipping.py:187 */
solution.solution_childnodes = {{"128_dp_ip_complex",1}};/* solution-shipping.py:199 */
add_solution_private(ProblemKey("gfx942", "256_dp_ip_complex"), solution);/* solution-shipping.py:207 */




 // add new solution
solution.arch_name = "gfx942";/* solution-shipping.py:172 */
solution.sol_node_type = StrToSolutionNodeType("SOL_INTERNAL_NODE");/* solution-shipping.py:175 */
solution.kernel_key = FMKey::EmptyFMKey();/* solution-shipping.py:180 */
solution.using_scheme = StrToComputeScheme("CS_REAL_3D_EVEN");/* solution-shipping.py:187 */
solution.solution_childnodes = {{"256_dp_ip_complex",1},{"sbcc_256_dp_ip_complex",0},{"sbcc_256_dp_ip_complex",1}};/* solution-shipping.py:199 */
add_solution_private(ProblemKey("gfx942", "256_256_256_dp_ip_real_fwd"), solution);/* solution-shipping.py:207 */
}


